$bg: #fff;
$font_color: #eee;
$side_menu_font_color: black;
$side_menu_font_color_active: #009fe4;
$font_family: "Neutraface", sans-serif;
$side_menu_bg: #fff;
$side_menu_hover: #fff;
$side_sub_menu_bg: #fff;
$side_sub_menu_hover: #fff;
$black: #000;
$white: #fff;

$container-max-widths: (
  sm: 540px,
  md: 720px,
  lg: 960px,
  xl: 1440px,
) !default;

* {
  box-sizing: border-box;
}

ul {
  padding-left: 0;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
}

body {
  margin: 0;
  padding: 0;
  font-family: "Neutraface", sans-serif;
  font-style: 14px;
  background-color: #fff;
}

a {
  transition: color 0.8s ease-in-out;
  transition: background 0.8s ease-in-out;
}

.container {
  max-width: 1440px;
  width: 100%;
  margin: 0 auto;
  position: relative;
  z-index: 3;
}

.social-icon {
  width: 24px;
  height: 24px;
  display: inline-block;
  &--facebook {
    background: url(../images/facebook.svg) no-repeat;
    background-size: cover;
  }
  &--instagram {
    background: url(../images/instagram.svg) no-repeat;
    background-size: cover;
  }
}

.custom-input {
  font-family: "Neutraface", sans-serif;
  width: 100%;
  height: 51px;
  padding: 16px 20px;
  background: #ffffff;
  border: 1px solid rgba(103, 99, 99, 0.3);
  font-weight: bold;
  font-size: 16px;
  line-height: 19px;
  letter-spacing: 1px;

  color: #000;
  &::placeholder {
    color: rgba(103, 99, 99, 0.5);
  }
}

/* Scrollbar Styling */
::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

::-webkit-scrollbar-track {
  background-color: #e9e9e9;
  -webkit-border-radius: 10px;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  -webkit-border-radius: 10px;
  border-radius: 10px;
  background: #c4c4c4;
}

.modal {
  width: 100%;
  min-height: 100vh;
  overflow-y: auto;
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 100;
  &.open {
    display: flex;
  }

  align-items: center;
  justify-content: center;
  padding: 57px;
  background: rgba(78, 67, 67, 0.6);
  backdrop-filter: blur(28px);

  &__wrapper {
    max-width: 1440px;
    width: 100%;
    margin: 0 auto;
  }
  &__body {
    display: flex;
    justify-content: center;
  }
  .icon-button--login {
    position: absolute;
    @include respond(611) {
      display: none;
    }
    @include respond-points(0, 610) {
      font-weight: bold;
      font-size: 12px;
      line-height: 139.99%;
      left: 16px;
      top: 37px;
    }
  }
  &__close {
    display: inline-block;
    position: absolute;
    top: 57px;
    z-index: 2;
    
    background: url("../images/close.svg") no-repeat center center / cover;
    &:hover {
      cursor: pointer;
    }
    @include respond(1025) {
      width: 34px;
      height: 34px;
      right: 133px;
      top: 57px;
    }
    @include respond-points(611, 1024) {
      width: 20px;
      height: 20px;
      right: 64px;
      top: 33px;
    }
    @include respond-points(0, 610) {
      width: 17px;
      height: 17px;
      right: 16px;
      top: 37px;
    }
  }
}

.large-search {
  display: flex;
  align-items: center;
  width: 100%;
  max-width: 740px;
  input {
    border: none;
    outline: none;
    background: transparent;
    height: 40px;
    max-width: 675px;
    width: 100%;
    padding: 8px 0;
    border-bottom: 2px solid #ffffff;
    font-family: "Neutraface", sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 32px;
    line-height: 38px;
    letter-spacing: 0.01em;
    color: #ffffff;
    @include respond-points(0, 610) {
      font-size: 24px;
      line-height: 29px;
    }
    &::placeholder {
      color: #ffffff;
    }
  }
  button {
    margin-left: 24px;
    border: none;
    outline: none;
    width: 40px;
    height: 40px;
    @include respond-points(0, 610) {
      width: 24px;
      height: 24px;
      margin-left: 8px;
    }
    background: transparent url(../images/icon-search.svg) no-repeat center
      center / contain;
  }
}

.languages {
  display: flex;
  justify-content: space-between;
  max-width: 700px;
  width: 100%;
  @include respond-points(0, 610) {
    flex-direction: column;
  }
  &__item {
    background: transparent;
    border: none;
    outline: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    &:not(:first-of-type) {
      @include respond-points(0, 610) {
        margin-top: 48px;
      }
    }
  }
  &__icon {
    width: 116px;
    height: 72px;

    background-repeat: no-repeat;
    background-size: cover;
  }
  &__text {
    font-style: normal;
    font-weight: bold;
    font-size: 18px;
    line-height: 22px;
    text-align: center;
    letter-spacing: 0.01em;
    text-transform: uppercase;
    color: #ffffff;
    margin-top: 24px;
  }
}
